Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/files/12345/watermark" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"watermark": {
"imprint": "default"
}
}'{
"watermark": {
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
}Applies or update a watermark on a file.
curl -i -X PUT "https://api.box.com/2.0/files/12345/watermark" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"watermark": {
"imprint": "default"
}
}'{
"watermark": {
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier that represents a file.
The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/files/123 the file_id is 123.
The watermark to imprint on the file.
Show child attributes
Returns an updated watermark if a watermark already existed on this file.
A watermark is a semi-transparent overlay on an embedded file preview that displays a viewer's email address or user ID and the time of access over a file's content.
Show child attributes
Was this page helpful?